> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the asset cost over a time window

> Retrieve asset cost



## OpenAPI

````yaml /api-specs/cloud/public-api.yaml get /api/cost/v1/asset
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: cloud
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: Extensions
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: PersonalAccessToken
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsCommits
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/cost/v1/asset:
    get:
      tags:
        - Cost
      summary: Get the asset cost over a time window
      description: Retrieve asset cost
      operationId: getCostAssets
      parameters:
        - description: >-
            Duration of time over which to query. Accepts words like today,
            week, month, yesterday, lastweek, lastmonth; durations like 30m,
            12h, 7d, or time like 2021-03-10T00:00:00Z,2021-03-11T00:00:00Z
          in: query
          name: window
          required: true
          schema:
            type: string
        - description: >-
            Aggregate the cost allocation. Accepts kubecost aggregates cluster,
            namespace, pod, deployment, service, daemonset, statefulset, job,
            cronjob, replicaset, node, container, pv, pvc, storageclass, cluster
          in: query
          name: aggregate
          required: false
          schema:
            type: string
        - description: >-
            Start time of the query. Accepts RFC3339 format, must be inside the
            window
          in: query
          name: start
          required: false
          schema:
            type: string
        - description: >-
            End time of the query. Accepts RFC3339 format, must be inside the
            window
          in: query
          name: end
          required: false
          schema:
            type: string
        - description: >-
            If the result will be accumulated. Default is false. If true, the
            result will be accumulated from the start time to the end time.
          in: query
          name: accumulate
          required: false
          schema:
            type: boolean
        - description: >-
            Filter the result by the kubecost filter like cluster, namespace,
            pod, deployment, service, daemonset, statefulset
          in: query
          name: filter
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAssetsEnvelopeV1'
          description: Success
components:
  schemas:
    CostAssetsEnvelopeV1:
      properties:
        data:
          items:
            $ref: '#/components/schemas/CostAssetsV1'
          type: array
      required:
        - data
      type: object
    CostAssetsV1:
      properties:
        cpuCost:
          format: double
          type: number
        gpuCost:
          format: double
          type: number
        labels:
          properties:
            instance:
              type: string
            job:
              type: string
            label_dominodatalab_com_domino_node:
              type: string
            label_dominodatalab_com_node_pool:
              type: string
          type: object
        name:
          type: string
        properties:
          properties:
            category:
              type: string
            cluster:
              type: string
            provider:
              type: string
            providerId:
              type: string
            service:
              type: string
          type: object
        ramCost:
          format: double
          type: number
        totalCost:
          format: double
          type: number
        type:
          type: string
        window:
          $ref: '#/components/schemas/CostAssetsV1Window'
          type: object
      type: object
    CostAssetsV1Window:
      properties:
        end:
          type: string
        minutes:
          format: double
          type: number
        start:
          type: string
      type: object
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````